Package org.kie.internal.task.api.model

## Class NotificationEvent

- java.lang.Object
- - org.kie.internal.task.api.model.NotificationEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NotificationEvent
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotificationEvent​(Notification notification, org.kie.api.task.model.Task task, java.util.Map<java.lang.String,​java.lang.Object> variables)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getContent()` |
    `Notification` | `getNotification()` |
    `org.kie.api.task.model.Task` | `getTask()` |
    `void` | `setContent​(java.util.Map<java.lang.String,​java.lang.Object> variables)` |
    `void` | `setNotification​(Notification notification)` |
    `void` | `setTask​(org.kie.api.task.model.Task task)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationEvent

          public NotificationEvent​(Notification notification,
                                   org.kie.api.task.model.Task task,
                                   java.util.Map<java.lang.String,​java.lang.Object> variables)

  - ### Method Detail

    - #### getNotification

          public Notification getNotification()

    - #### setNotification

          public void setNotification​(Notification notification)

    - #### getTask

          public org.kie.api.task.model.Task getTask()

    - #### setTask

          public void setTask​(org.kie.api.task.model.Task task)

    - #### getContent

          public java.util.Map<java.lang.String,​java.lang.Object> getContent()

    - #### setContent

          public void setContent​(java.util.Map<java.lang.String,​java.lang.Object> variables)